/**
 * @file
 * Approval pane styling.
 */
@font-face {
  font-family: 'Noe Display';
  src: url("../../fonts/NoeDisplay-Bold.woff2") format("woff2"), url("../../fonts/NoeDisplay-Bold.woff") format("woff");
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'univers_lt_std55_roman';
  src: url("../../fonts/universltstd-webfont.woff2") format("woff2"), url("../../fonts/universltstd-webfont.woff") format("woff");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'univers_lt_std65_bold';
  src: url("../../fonts/universltstd-bold-webfont.woff2") format("woff2"), url("../../fonts/universltstd-bold-webfont.woff") format("woff");
  font-weight: normal;
  font-style: normal;
}

/* ========================== Media Queries ================================ */
.search-filter-wrapper {
  transition: margin-right 350ms ease-in-out, visibility 0s ease-in 1s;
}

.search-filter-wrapper .tint {
  transition: opacity 500ms ease-in-out;
}

.search-filter-wrapper.open {
  transition: margin-right 350ms ease-in-out;
}

.search-filter-wrapper.open .tint {
  transition: opacity 500ms ease-in-out;
}

.signup-wrapper {
  transition: margin-bottom 350ms ease-in-out;
}

.signup-clicker i {
  transition: transform 350ms ease;
}

@media only screen and (min-width: 960px) {
  a,
  .field-help i {
    transition: all 350ms ease;
  }
  .field-help .description {
    transition: opacity 350ms ease;
  }
  .post_type_signifier {
    transition: all 350ms ease;
  }
  .logoMenu img {
    transition: opacity 350ms ease;
  }
  button,
  .button {
    transition: all 350ms ease;
  }
}

/* Full view approval status styling */
.large-approval-status {
  font-family: "univers_lt_std55_roman", Helvetica, Arial, sans-serif;
  position: relative;
  display: block;
  top: 0;
  right: 0;
  padding: 20px;
  margin: 0 0 20px;
  font-size: 1em;
  line-height: 1.2em;
}

.large-approval-status:after {
  display: none;
}

@media only screen and (min-width: 800px) {
  .large-approval-status {
    display: flex;
    justify-content: space-between;
  }
}

.large-approval-status .status-inner {
  margin-top: 20px;
}

.large-approval-status .status-inner:first-child {
  margin-top: 0;
}

@media only screen and (min-width: 800px) {
  .large-approval-status .status-inner {
    margin-top: 0;
    flex-grow: 1;
    flex-basis: calc(40% - 20px);
  }
  .large-approval-status .status-inner:first-child {
    flex-basis: calc(20% - 20px);
  }
}

.large-approval-status .status-inner li {
  margin-bottom: 10px;
}

.large-approval-status .status-inner li:last-child {
  margin-bottom: 0;
}

.large-approval-status h3 {
  margin-bottom: 10px;
}

.large-approval-status .job__rejection-reason > div,
.large-approval-status .event__rejection-reason > div {
  margin-top: 10px;
}

.large-approval-status .job__approval-comments,
.large-approval-status .event__approval-comments {
  margin-top: 10px;
}

.large-approval-status.inline {
  display: inline-block;
  padding: 10px;
}

.large-approval-status.inline h3 {
  margin-bottom: 0;
  line-height: 1em;
  text-align: center;
}
